summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Mauricio Martinez <eigenfilter@gmail.com>2020-05-22 20:31:52 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-23 09:32:01 +0700
commit89fce5ed064428b2c428d5183ef98559e2a11079 (patch)
treea222dd9de9a06149cfc58112869efaefc907d3bc /development
parent26e56372a7d6d83ef6555f114f5f46dbda5ae4b9 (diff)
downloadslackbuilds-89fce5ed064428b2c428d5183ef98559e2a11079.tar.gz
slackbuilds-89fce5ed064428b2c428d5183ef98559e2a11079.tar.xz
development/OpenHantek6022: Added (Hantek6022 oscilloscope software)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/OpenHantek6022/OpenHantek6022.SlackBuild98
-rw-r--r--development/OpenHantek6022/OpenHantek6022.info10
-rw-r--r--development/OpenHantek6022/README5
-rw-r--r--development/OpenHantek6022/doinst.sh14
-rw-r--r--development/OpenHantek6022/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/development/OpenHantek6022/OpenHantek6022.SlackBuild b/development/OpenHantek6022/OpenHantek6022.SlackBuild
new file mode 100644
index 0000000000..41babe951e
--- /dev/null
+++ b/development/OpenHantek6022/OpenHantek6022.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for OpenHantek6022
+
+# Copyright 2020, Mauricio Martinez, Mexico
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=OpenHantek6022
+VERSION=${VERSION:-3.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+install -D -m644 $PKG/lib/udev/rules.d/60-hantek.rules \
+ $PKG/etc/udev/rules.d/60-hantek.rules.new
+rm -rf $PKG/lib
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/share/doc/openhantek/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/OpenHantek6022/OpenHantek6022.info b/development/OpenHantek6022/OpenHantek6022.info
new file mode 100644
index 0000000000..50e3c9628e
--- /dev/null
+++ b/development/OpenHantek6022/OpenHantek6022.info
@@ -0,0 +1,10 @@
+PRGNAM="OpenHantek6022"
+VERSION="3.1.0"
+HOMEPAGE="http://openhantek.org/"
+DOWNLOAD="https://github.com/OpenHantek/OpenHantek6022/archive/3.1.0/OpenHantek6022-3.1.0.tar.gz"
+MD5SUM="1617f414c92e52f67d4f869c6de94919"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5"
+MAINTAINER="Mauricio Martinez"
+EMAIL="eigenfilter@gmail.com"
diff --git a/development/OpenHantek6022/README b/development/OpenHantek6022/README
new file mode 100644
index 0000000000..c247724998
--- /dev/null
+++ b/development/OpenHantek6022/README
@@ -0,0 +1,5 @@
+OpenHantek6022 is a free software for Hantek6022 and compatible
+(Voltcraft/Darkwire/Protek/Acetech) USB digital signal oscilloscopes.
+
+It has started as an alternative to the official Hantek DSO software for Linux
+users. Nowadays it works under Microsoft Windows and Apple Mac OS as well.
diff --git a/development/OpenHantek6022/doinst.sh b/development/OpenHantek6022/doinst.sh
new file mode 100644
index 0000000000..2a8d2defb0
--- /dev/null
+++ b/development/OpenHantek6022/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/udev/rules.d/60-hantek.rules.new
diff --git a/development/OpenHantek6022/slack-desc b/development/OpenHantek6022/slack-desc
new file mode 100644
index 0000000000..e9081cd2e0
--- /dev/null
+++ b/development/OpenHantek6022/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+OpenHantek6022: OpenHantek6022 (Free software for Hantek6022 USB oscilloscopes)
+OpenHantek6022:
+OpenHantek6022: Free software for Hantek6022 and compatible (Voltcraft/Darkwire
+OpenHantek6022: /Protek/Acetech) USB digital oscilloscopes. It resembles the typical
+OpenHantek6022: view of a real hardware oscilloscope, and supports spectrum analysis
+OpenHantek6022: via FFT.
+OpenHantek6022:
+OpenHantek6022: Homepage: http://openhantek.org/
+OpenHantek6022:
+OpenHantek6022:
+OpenHantek6022: